"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4f560>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4f600>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4f6a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4f740>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4f7e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4f880>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4f920>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4f9c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4fa60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4fb00>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4fba0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4fc40>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4fce0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4fd80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4fe20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4fec0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ce4ff60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac040>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac0e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac180>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac220>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac2c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac360>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac400>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac4a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac540>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac5e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac680>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac720>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac7c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac860>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac900>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceac9a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceaca40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceacae0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceacb80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceacc20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceaccc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceacd60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceace00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceacea0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceacf40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceacfe0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead080>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead120>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead1c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead260>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead300>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead3a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead440>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead4e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead580>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead620>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead6c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead760>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead800>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead8a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead940>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606cead9e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceada80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceadb20>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceadbc0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceadc60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceadd00>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceadda0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceade40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceadee0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceadf80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae020>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae0c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae160>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae200>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae2a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae340>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae3e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae480>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae520>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae5c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae660>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae700>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae840>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae7a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae8e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceae980>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f606ceaea20>)]
name: str = 'fr_HOCCN'
